Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport.beans
Class Property

    java.lang.Object
      jet.webreport.beans.Name
          jet.webreport.beans.Property

All Implemented Interfaces:
  java.io.Serializable

    public class Property

extends jet.webreport.beans.Name
implements java.io.Serializable

`Property` contains description of the property of an object, which can be a JReport object such as report, page, component, and so on.

See Also:
  Serialized Form

Field Summary
`static int` | `STRING_TYPE_FONT`
`static int` | `STRING_TYPE_STRING`
`static int` | `STRING_TYPE_STRINGLIST`

Constructor Summary
`Property(java.lang.String name)` Creates a new `Property` instance by the specified name.

Method Summary
`boolean` | `canChangedByOthers()` Returns whether the property could be changed by others, for example changed by formulas.
`com.jinfonet.web.beans.ChangeByOtherInfo` | `getCurrentOtherInfo()`
`java.lang.String` | `getDefaultValue()` Returns the default value of the property.
`java.util.List<com.jinfonet.web.beans.ChangeByOtherInfo>` | `getOtherInfos()`
`int` | `getStringType()` Returns the string type when this property type is a string.
`java.lang.String` | `getValue()` Returns the value of the property.
`int` | `getValueIndex()` Returns the index of the current value in value list.
`java.lang.String[]` | `getValues()` Returns the value list of this property.
`java.lang.String[]` | `getValuesForDisplay()` Returns the property value list used for display.
`boolean` | `isChangedByOthers()` Returns whether the property has been changed by others.
`boolean` | `isDisabled()` Returns whether the property is disabled.
`void` | `setCanChangedByOthers(boolean canChange)`
`void` | `setCurrentOtherInfo(com.jinfonet.web.beans.ChangeByOtherInfo currentOtherInfo)`
`void` | `setDefaultValue(java.lang.String defValue)`
`void` | `setDisabled(boolean isDisable)`
`void` | `setIsChangedByOthers(boolean isChange)`
`void` | `setOtherInfos(java.util.List<com.jinfonet.web.beans.ChangeByOtherInfo> otherInfos)`
`void` | `setStringType(int stringType)`
`void` | `setValue(java.lang.String value)`
`void` | `setValueIndex(int index)`
`void` | `setValues(java.lang.String[] values)`
`void` | `setValuesForDisplay(java.lang.String[] dvalues)`

Methods inherited from class jet.webreport.beans.Name
`compareTo, equals, getDispName, getName, getType, hashCode, setDispName, setName, setType, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STRING_TYPE_STRING

    public static final transient int STRING_TYPE_STRING

See Also:
  Constant Field Values

### STRING_TYPE_FONT

    public static final transient int STRING_TYPE_FONT

See Also:
  Constant Field Values

### STRING_TYPE_STRINGLIST

    public static final transient int STRING_TYPE_STRINGLIST

See Also:
  Constant Field Values

Constructor Detail

### Property

    public Property(java.lang.String name)

  Creates a new `Property` instance by the specified name.

  Parameters:
    `name` - A property name string.

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the value of the property.

  Returns:
    the property value.

### setValue

    public void setValue(java.lang.String value)

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the default value of the property.

  Returns:
    the property default value.

### setDefaultValue

    public void setDefaultValue(java.lang.String defValue)

### getValueIndex

    public int getValueIndex()

  Returns the index of the current value in value list.

  Returns:
    the index.

### setValueIndex

    public void setValueIndex(int index)

### getValues

    public java.lang.String[] getValues()

  Returns the value list of this property.

  Returns:
    the property value list. `null` if this property does not have a value list.

### setValues

    public void setValues(java.lang.String[] values)

### getValuesForDisplay

    public java.lang.String[] getValuesForDisplay()

  Returns the property value list used for display.

  Returns:
    the property display value list. `null` if this property does not have a value list.

### setValuesForDisplay

    public void setValuesForDisplay(java.lang.String[] dvalues)

### canChangedByOthers

    public boolean canChangedByOthers()

  Returns whether the property could be changed by others, for example changed by formulas.

  Returns:
    true the property could be changed by others; otherwise false.

### setCanChangedByOthers

    public void setCanChangedByOthers(boolean canChange)

### isChangedByOthers

    public boolean isChangedByOthers()

  Returns whether the property has been changed by others.

  Returns:
    true the property has been changed by others; otherwise false.
  See Also:
    `canChangedByOthers();`

### setIsChangedByOthers

    public void setIsChangedByOthers(boolean isChange)

### isDisabled

    public boolean isDisabled()

  Returns whether the property is disabled.

  Returns:
    true the property is disabled; otherwise false.

### setDisabled

    public void setDisabled(boolean isDisable)

### getStringType

    public int getStringType()

  Returns the string type when this property type is a string.

  Returns:
    the string type. There are the following values:
      `STRING_TYPE_STRING`
      `STRING_TYPE_FONT`
      `STRING_TYPE_STRINGLIST`

### setStringType

    public void setStringType(int stringType)

### getCurrentOtherInfo

    public com.jinfonet.web.beans.ChangeByOtherInfo getCurrentOtherInfo()

### setCurrentOtherInfo

    public void setCurrentOtherInfo(com.jinfonet.web.beans.ChangeByOtherInfo currentOtherInfo)

### getOtherInfos

    public java.util.List<com.jinfonet.web.beans.ChangeByOtherInfo> getOtherInfos()

### setOtherInfos

    public void setOtherInfos(java.util.List<com.jinfonet.web.beans.ChangeByOtherInfo> otherInfos)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD